Bug 239317 - CVE-2007-1453: Buffer underflow in the PHP_FILTER_TRIM_DEFAULT macro
CVE-2007-1453: Buffer underflow in the PHP_FILTER_TRIM_DEFAULT macro
Status: CLOSED DUPLICATE of bug 240163
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2007-05-07 11:14 EDT by paul boin
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-15 11:54:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description paul boin 2007-05-07 11:14:31 EDT
Like the other PHP bugs, this on is mentioned in 230556, but not explicitly
closed and documented in any errata that I can find.


Buffer underflow in the PHP_FILTER_TRIM_DEFAULT macro in the filtering extension
(ext/filter) in PHP 5.2.0 allows context-dependent attackers to execute
arbitrary code by calling filter_var with certain modes such as
FILTER_VALIDATE_INT, which causes filter to write a null byte in whitespace that
precedes the buffer.

    * MISC:http://www.php-security.org/MOPB/MOPB-19-2007.html
    * MISC:http://www.php.net/releases/5_2_1.php
    * DEBIAN:DSA-1283
    * URL:http://www.debian.org/security/2007/dsa-1283
    * BID:22922
    * URL:http://www.securityfocus.com/bid/22922
    * SECUNIA:25062
    * URL:http://secunia.com/advisories/25062
Comment 1 Joe Orton 2007-05-15 11:54:00 EDT

*** This bug has been marked as a duplicate of 240163 ***

Note You need to log in before you can comment on or make changes to this bug.